<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewmodel"
            type="net.ayokemasjid.adminapp.ui.pengurus.PengurusViewModel"/>

    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:id="@+id/root_layout"
        tools:context="net.ayokemasjid.adminapp.ui.pengurus.ListPengurusActivity">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:elevation="6dp"
                app:navigationIcon="@drawable/ic_arrow_back_black_24dp"
                app:title="Data Pengurus"
                app:titleTextColor="#2F3542" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingTop="10dp"
                android:paddingBottom="10dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:layout_marginEnd="12dp"
                    android:orientation="horizontal"
                    android:weightSum="2">

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">

                        <androidx.cardview.widget.CardView
                            android:id="@+id/btnAdd"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:backgroundTint="@color/colorPrimary"
                            android:clickable="true"
                            android:focusable="true"
                            android:foreground="?selectableItemBackground"
                            app:cardCornerRadius="5dp">

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginStart="12dp"
                                android:layout_marginTop="6dp"
                                android:layout_marginEnd="12dp"
                                android:layout_marginBottom="6dp"
                                android:fontFamily="@font/roboto_bold"
                                android:text="Tambah Pengurus"
                                android:textColor="@color/white"
                                android:textSize="14sp" />

                        </androidx.cardview.widget.CardView>

                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:gravity="end"
                            android:orientation="vertical">

                            <androidx.cardview.widget.CardView
                                android:id="@+id/btnSaveAs"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:backgroundTint="@color/colorPrimary"
                                android:clickable="true"
                                android:focusable="true"
                                android:foreground="?selectableItemBackground"
                                app:cardCornerRadius="5dp">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginStart="12dp"
                                    android:layout_marginTop="6dp"
                                    android:layout_marginEnd="12dp"
                                    android:layout_marginBottom="6dp"
                                    android:fontFamily="@font/roboto_bold"
                                    android:text="Save As"
                                    android:textColor="@color/white"
                                    android:textSize="14sp" />

                            </androidx.cardview.widget.CardView>

                            <LinearLayout
                                android:id="@+id/layout_btnSave"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="5dp"
                                android:gravity="end"
                                android:orientation="horizontal"
                                android:visibility="gone"
                                tools:visibility="visible">

                                <androidx.cardview.widget.CardView
                                    android:id="@+id/btnMore2"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="5dp"
                                    android:backgroundTint="@color/colorPrimary"
                                    android:clickable="true"
                                    android:focusable="true"
                                    android:foreground="?selectableItemBackground"
                                    android:visibility="gone"
                                    app:cardCornerRadius="5dp"
                                    tools:visibility="visible">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="12dp"
                                        android:layout_marginTop="6dp"
                                        android:layout_marginEnd="12dp"
                                        android:layout_marginBottom="6dp"
                                        android:fontFamily="@font/roboto_bold"
                                        android:text="More"
                                        android:textColor="@color/white"
                                        android:textSize="14sp" />

                                </androidx.cardview.widget.CardView>

                                <androidx.cardview.widget.CardView
                                    android:id="@+id/btnMore"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginEnd="5dp"
                                    android:backgroundTint="@color/colorPrimary"
                                    android:clickable="true"
                                    android:focusable="true"
                                    android:foreground="?selectableItemBackground"
                                    android:visibility="gone"
                                    app:cardCornerRadius="5dp"
                                    tools:visibility="visible">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="12dp"
                                        android:layout_marginTop="6dp"
                                        android:layout_marginEnd="12dp"
                                        android:layout_marginBottom="6dp"
                                        android:fontFamily="@font/roboto_bold"
                                        android:text="More"
                                        android:textColor="@color/white"
                                        android:textSize="14sp" />

                                </androidx.cardview.widget.CardView>

                                <androidx.cardview.widget.CardView
                                    android:id="@+id/btnExcel"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:backgroundTint="@color/colorPrimary"
                                    android:clickable="true"
                                    android:focusable="true"
                                    android:foreground="?selectableItemBackground"
                                    app:cardCornerRadius="5dp">

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_marginStart="12dp"
                                        android:layout_marginTop="6dp"
                                        android:layout_marginEnd="12dp"
                                        android:layout_marginBottom="6dp"
                                        android:fontFamily="@font/roboto_bold"
                                        android:text="Excel"
                                        android:textColor="@color/white"
                                        android:textSize="14sp" />

                                </androidx.cardview.widget.CardView>

                            </LinearLayout>

                        </LinearLayout>

                    </RelativeLayout>

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="@color/gray_background"/>

            <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/swipeRefreshLayout"
                >

                <LinearLayout
                    android:orientation="vertical"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/recyclerview"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        tools:listitem="@layout/item_pengurus" />

                </LinearLayout>

            </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

        </LinearLayout>

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>
